TakenAt: 2017-12-18T14:09:34Z
TakenAtLocal: 2017-12-18T14:09:34Z
TakenSrc: meta
UID: pt67nqfobxf5ygv8
Type: image
Title: Farm / Windermere / 2017
TimeZone: Europe/London
PlaceSrc: estimate
CellAccuracy: 5
Altitude: 177
Lat: 54.382277210060614
Lng: -2.885604044890071
Year: 2017
Month: 12
Day: 18
ISO: 200
Exposure: 1/640
FNumber: 13
FocalLength: 66
Quality: 3
Details:
  Keywords: bannerrigg, brow, england, farm, gold, mill, united-kingdom, windermere
  Software: NEX-3 Ver.03
  SoftwareSrc: meta
CreatedAt: 2025-11-24T03:15:51Z
UpdatedAt: 2025-11-24T08:20:43Z
